Package org.apache.storm.trident.testing

# Class FixedBatchSpout

java.lang.Object
org.apache.storm.trident.testing.FixedBatchSpout

All Implemented Interfaces:
  `Serializable`, `IBatchSpout`, `ITridentDataSource`

public class FixedBatchSpout extends Object implements IBatchSpout

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixedBatchSpout(Fields fields, int maxBatchSize, List<Object>... outputs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `ack(long batchId)`
  `void`
  `close()`
  `void`
  `emitBatch(long batchId, TridentCollector collector)`
  `Map<String,Object>`
  `getComponentConfiguration()`
  `Fields`
  `getOutputFields()`
  `void`
  `open(Map<String,Object> conf, TopologyContext context)`
  `void`
  `setCycle(boolean cycle)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FixedBatchSpout

    public FixedBatchSpout(Fields fields, int maxBatchSize, List<Object>... outputs)

- ## Method Details

  - ### setCycle

    public void setCycle(boolean cycle)

  - ### open

    public void open(Map<String,Object> conf, TopologyContext context)
    Specified by:
      `open` in interface `IBatchSpout`

  - ### emitBatch

    public void emitBatch(long batchId, TridentCollector collector)
    Specified by:
      `emitBatch` in interface `IBatchSpout`

  - ### ack

    public void ack(long batchId)
    Specified by:
      `ack` in interface `IBatchSpout`

  - ### close

    public void close()
    Specified by:
      `close` in interface `IBatchSpout`

  - ### getComponentConfiguration

    public Map<String,Object> getComponentConfiguration()
    Specified by:
      `getComponentConfiguration` in interface `IBatchSpout`

  - ### getOutputFields

    public Fields getOutputFields()
    Specified by:
      `getOutputFields` in interface `IBatchSpout`